openmsx-catapult (19.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update standards version to 4.6.2. No changes needed.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 03 Aug 2023 18:47:47 +0200

openmsx-catapult (18.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update to build with wxwidgets-3.2 (new patch
    wx3.2-compat.patch) (Closes: #1019776)

 -- Olly Betts <olly@survex.com>  Thu, 10 Nov 2022 15:40:43 +1300

openmsx-catapult (18.0-2) unstable; urgency=medium

  * Mark test as flaky.  Closes: #1020832, #1020833

 -- Bas Wijnen <wijnen@debian.org>  Tue, 11 Oct 2022 18:11:57 +0200

openmsx-catapult (18.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated watch file.
  * Update standards version to 4.6.1. No changes needed.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 13 Jun 2022 21:32:51 +0200

openmsx-catapult (17.0-2) unstable; urgency=medium

  * Fix package test.  Closes: #993127

 -- Bas Wijnen <wijnen@debian.org>  Sun, 12 Sep 2021 01:28:33 +0200

openmsx-catapult (17.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.5.1. (No changes needed.)
  * Update contact info, years and indentation in copyright file.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 25 Jun 2021 00:01:01 +0200

openmsx-catapult (16.0-1) unstable; urgency=medium

  * New upstream release.  Closes: #949421
  * Build system uses Python3.  Closes: #967189, #943201

 -- Bas Wijnen <wijnen@debian.org>  Sun, 30 Aug 2020 17:02:13 +0200

openmsx-catapult (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove obsolete call to dh_installmenu.
  * Update standards version to 4.2.1. (No changes needed.)

 -- Bas Wijnen <wijnen@debian.org>  Thu, 03 Jan 2019 10:26:00 +0100

openmsx-catapult (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upgrade standards version to 4.0.0.
  * Upgrade debhelper compatibility level to 10.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 10 Aug 2017 13:09:26 +0200

openmsx-catapult (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove menu file.
  * Upgrade standards version to 3.9.8.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 22 Sep 2016 22:09:06 +0200

openmsx-catapult (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch and debian/copyright to reflect move to github.
  * Update homepage in debian/control.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 06 Oct 2015 09:06:08 -0400

openmsx-catapult (0.11.0-2) unstable; urgency=medium

  * Fix libwxgtk dependency version.  (Closes: #750918)

 -- Bas Wijnen <wijnen@debian.org>  Wed, 12 Aug 2015 22:13:12 -0400

openmsx-catapult (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 3.9.6.  (No changes needed.)
  * Make build verbose.
  * Pass debian build flags to install target to make compilation and relinking
    from there use them.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 20 Jun 2015 09:25:52 -0400

openmsx-catapult (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Add desktop file.  (Closes: #737061)
  * Clean generated python files that upstream leaves after build.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 04 Jul 2014 02:39:29 -0400

openmsx-catapult (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Upgrade standards version to 3.9.5. (No changes needed)

 -- Bas Wijnen <wijnen@debian.org>  Fri, 24 Jan 2014 23:51:08 -0500

openmsx-catapult (0.9.1-1) unstable; urgency=low

  * New upstream release.  (Closes: 689802)
  * Upgrade standards version to 3.9.4. (No changes needed)
  * Use DEP-5 format for copyright.

 -- Bas Wijnen <wijnen@debian.org>  Wed, 12 Jun 2013 23:00:29 -0400

openmsx-catapult (0.8.2-1) unstable; urgency=low

  * New upstream release. (Closes: #662971)
  * New maintainer, update packaging.
  * Upgrade standards version to 3.9.3. (No changes needed)

 -- Bas Wijnen <wijnen@debian.org>  Sat, 10 Mar 2012 21:02:43 +0100

openmsx-catapult (0.8.1-3) unstable; urgency=low

  * QA upload.
  * Update to build against wxwidgets2.8 rather than 2.6.

 -- Olly Betts <olly@survex.com>  Sat, 15 Oct 2011 12:22:06 +0000

openmsx-catapult (0.8.1-2) unstable; urgency=low

  * Orphan the package.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 16:10:26 +0200

openmsx-catapult (0.8.1-1) unstable; urgency=low

  * change back to 1.0 source format
  * New upstream release

 -- Joost Yervante Damad <andete@debian.org>  Sun, 13 Mar 2011 08:52:56 +0100

openmsx-catapult (0.8.0-1) unstable; urgency=low

  * New upstream release
  * build-depend on python

 -- Joost Yervante Damad <andete@debian.org>  Mon, 07 Jun 2010 19:32:13 +0200

openmsx-catapult (0.7.2-7) unstable; urgency=low

  * loosen openmsx dependency to allow co-existing with 0.8.0

 -- Joost Yervante Damad <andete@debian.org>  Sun, 28 Feb 2010 08:59:06 +0100

openmsx-catapult (0.7.2-6) unstable; urgency=low

  * update source format to 3.0
  * update standards version to 3.8.3

 -- Joost Yervante Damad <andete@debian.org>  Sat, 19 Dec 2009 21:53:36 +0100

openmsx-catapult (0.7.2-5) unstable; urgency=low

  * fix of fix: make MiscControlPage.cpp joystick detect work again

 -- Joost Yervante Damad <andete@debian.org>  Mon, 23 Nov 2009 08:10:20 +0100

openmsx-catapult (0.7.2-4) unstable; urgency=low

  * fix build on Debian GNU/kFreeBSD (Closes: #557179) Really.

 -- Joost Yervante Damad <andete@debian.org>  Fri, 20 Nov 2009 12:44:36 +0100

openmsx-catapult (0.7.2-3) unstable; urgency=low

  * fix build on Debian GNU/kFreeBSD (Closes: #557179)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 20 Nov 2009 08:16:00 +0100

openmsx-catapult (0.7.2-2) unstable; urgency=low

  * introduce build support for Renesas SuperH CPUs (Closes: #550431)
    with thanks to  Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
    for providing a patch.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 10 Oct 2009 13:22:04 +0200

openmsx-catapult (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Joost Yervante Damad <andete@debian.org>  Wed, 01 Jul 2009 07:35:11 +0200

openmsx-catapult (0.7.1-1) unstable; urgency=low

  * New upstream release 0.7.1

 -- Joost Yervante Damad <andete@debian.org>  Mon, 29 Jun 2009 20:02:05 +0200

openmsx-catapult (0.7.0-R1-1) unstable; urgency=low

  * New upstream release
    - compatible with openmsx 0.7.0

 -- Joost Yervante Damad <andete@debian.org>  Thu, 08 Jan 2009 19:59:16 +0100

openmsx-catapult (0.6.3-R1-3) unstable; urgency=low

  * fix probe.mk for building with gcc-4.3 (closes: #474912)

 -- Joost Yervante Damad <andete@debian.org>  Wed, 09 Apr 2008 19:10:30 +0200

openmsx-catapult (0.6.3-R1-2) unstable; urgency=low

  * don't strip binaries, to allow DEB_BUILD_OPTIONS=nostrip to work
    (Closes: #437692)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 12 Jan 2008 22:00:10 +0100

openmsx-catapult (0.6.3-R1-1) unstable; urgency=low

  * New upstream release
  * fix debian-rules-ignores-make-clean-error
  * fix out-of-date-standards-version 3.7.3
  * fix menu-item-uses-apps-section

 -- Joost Yervante Damad <andete@debian.org>  Mon, 10 Dec 2007 19:46:48 +0100

openmsx-catapult (0.6.2-R1-1) unstable; urgency=low

  * new upstream release

 -- Joost Yervante Damad <andete@debian.org>  Sun, 15 Apr 2007 16:11:38 +0200

openmsx-catapult (0.6.1-R1-5) unstable; urgency=low

  * update kfreebsd support: now separately detected, and
    with the same settings as linux, except that it defines OPENMSX_BSD
    in order to disable the linux only joystick support code

 -- Joost Yervante Damad <andete@debian.org>  Sun, 15 Apr 2007 16:11:25 +0200

openmsx-catapult (0.6.1-R1-4) unstable; urgency=low

  * really fix build on kfreebsd (oops!)

 -- Joost Yervante Damad <andete@debian.org>  Sun, 29 Oct 2006 09:01:26 +0100

openmsx-catapult (0.6.1-R1-3) unstable; urgency=low

  * new maintainer email address
  * more strictly depend on one openmsx version only,
    aparantly Ubuntu 6.10 ships with openmsx 0.6.1 and catapult 0.6.0
    which is not intended, but which a '>=' allows
     (thanks for Manuel Bilderbeek for reporting this)
  * fix build on kfreebsd (Closes: #329056)

 -- Joost Yervante Damad <andete@debian.org>  Sun, 29 Oct 2006 08:09:39 +0100

openmsx-catapult (0.6.1-R1-2) unstable; urgency=low
  * build with --no-strict-aliasing to avoid brokenness of wx2.6

 -- Joost Yervante Damad <joost@lumatec.be>  Sat,  5 Aug 2006 17:20:15 +0200

openmsx-catapult (0.6.1-R1-1) unstable; urgency=low
  * new upstream release: note that upstream is no longer actively
    developing openmsx-catapult, but just maintaining it
  * depend on openmsx >= 0.6.1
  * bump standards-version
  * add support for powerpc64 (Closes: #363470)
    (Note that I do not use dpatch here; it is not needed as
     the fix is already incorporated in upstream CVS)

 -- Joost Yervante Damad <joost@lumatec.be>  Tue,  1 Aug 2006 20:11:44 +0200

openmsx-catapult (0.6.0-R1-3) unstable; urgency=low

  * gcc-4.1 fix for extra qualification in openMSXController.h
    (Closes: #358582), also verified with gcc-snapshot

 -- Joost Yervante Damad <joost@lumatec.be>  Sat,  1 Apr 2006 10:31:54 +0200

openmsx-catapult (0.6.0-R1-2) unstable; urgency=low

  * depend on openmsx >= 0.6.0 (needed for control interface protocol)

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 22 Jan 2006 13:46:27 +0100

openmsx-catapult (0.6.0-R1-1) unstable; urgency=low

  * compat level 5
  * new upstream release 0.6.0-R1

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 22 Jan 2006 09:51:56 +0100

openmsx-catapult (0.5.2.2-3) unstable; urgency=low
  * compat level 4

 -- Joost Yervante Damad <joost@lumatec.be>  Tue, 23 Aug 2005 09:05:48 +0200

openmsx-catapult (0.5.2.2-2) unstable; urgency=low
  * gcc4 build

 -- Joost Yervante Damad <joost@lumatec.be>  Thu,  4 Aug 2005 19:33:18 +0200

openmsx-catapult (0.5.2.2-1) unstable; urgency=low

  * new upstream release: fixes wxwidgets issues and build on all archs
  * bump standards version

 -- Joost Yervante Damad <joost@lumatec.be>  Mon, 27 Jun 2005 20:32:43 +0200

openmsx-catapult (0.5.2-1) unstable; urgency=low

  * new upstream release
  * support all architectures (Closes: #307255)

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 19 Jun 2005 16:19:59 +0200

openmsx-catapult (0.5.1-2) unstable; urgency=low

  * rebuild against sid, as discussed in  bug #303144 of openmsx package
  * only build for i386 for now, as openmsx only builds for i386 currently

 -- Joost Yervante Damad <joost@lumatec.be>  Tue,  5 Apr 2005 19:27:06 +0200

openmsx-catapult (0.5.1-1) unstable; urgency=low

  * new upstream version

 -- Joost Yervante Damad <joost@lumatec.be>  Sun,  6 Mar 2005 08:22:30 +0100

openmsx-catapult (0.5.0R1-6) unstable; urgency=low

  * Close ITP. (Closes: #286949)
  * fix W: openmsx-catapult: unquoted-string-in-menu-item
    /usr/lib/menu/openmsx-catapult needs:1

 -- Joost Yervante Damad <joost@lumatec.be>  Sun,  6 Feb 2005 13:34:17 +0100

openmsx-catapult (0.5.0R1-5) unstable; urgency=low

  * change architecture to any

 -- Joost Yervante Damad <joost@lumatec.be>  Tue, 25 Jan 2005 19:05:02 +0100

openmsx-catapult (0.5.0R1-4) unstable; urgency=low

  * fix menu

 -- Joost Yervante Damad <joost@lumatec.be>  Mon, 10 Jan 2005 19:37:48 +0100

openmsx-catapult (0.5.0R1-3) unstable; urgency=low

  * clean up manual page on clean; properly

 -- Joost Yervante Damad <joost@lumatec.be>  Sat,  1 Jan 2005 10:39:47 +0100

openmsx-catapult (0.5.0R1-2) unstable; urgency=low

  * clean up manual page on clean
  * tidy debian/rules

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 26 Dec 2004 14:09:14 +0100

openmsx-catapult (0.5.0R1-1) unstable; urgency=low

  * Initial Release.
  * remove unneeded copy of GPL

 -- Joost Yervante Damad <joost@lumatec.be>  Sat, 10 Nov 2004 22:21:16 +0200

